com.ibm.openpages.api.scheduler

## Class SchedulerScheduleList

- java.lang.Object
- - com.ibm.openpages.api.scheduler.SchedulerScheduleList

- All Implemented Interfaces:
    java.io.Serializable

      public class SchedulerScheduleList
      extends java.lang.Object
      implements java.io.Serializable

  The list class to provide fetching result of scheduler schedules.
  Since:
    8.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerScheduleList(int totalResultCount, java.util.List<ISchedJobSchedule> schedules)`
    `SchedulerScheduleList(java.util.List<ISchedJobSchedule> schedules)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ISchedJobSchedule>` | `getSchedules()` Get the list of `ISchedJobSchedule` results based on the Search options provided
    `int` | `getTotalResultCount()` Returns the total count of results regardless of paging.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerScheduleList

          public SchedulerScheduleList(java.util.List<ISchedJobSchedule> schedules)

    - #### SchedulerScheduleList

          public SchedulerScheduleList(int totalResultCount,
                                       java.util.List<ISchedJobSchedule> schedules)

  - ### Method Detail

    - #### getTotalResultCount

          public int getTotalResultCount()

      Returns the total count of results regardless of paging.
      Returns:
        The total count.

    - #### getSchedules

          public java.util.List<ISchedJobSchedule> getSchedules()

      Get the list of `ISchedJobSchedule` results based on the Search options provided
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.